# OptionLessJavadocOptionFileOption

interface OptionLessJavadocOptionFileOption<T>

Represents a Javadoc option.

#### Parameters

<T>

The type which this option represents.

#### Inheritors

JavadocOptionFileOption

## Functions

getValue
Link copied to clipboard
abstract fun getValue(): T
setValue
Link copied to clipboard
abstract fun setValue(value: T)
write
Link copied to clipboard
abstract fun write(writerContext: JavadocOptionFileWriterContext)